Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.lang.management
Class TotalPhysicalMemoryNotificationInfo

    java.lang.Object
      com.ibm.lang.management.TotalPhysicalMemoryNotificationInfo

    public class TotalPhysicalMemoryNotificationInfo

extends java.lang.Object

Encapsulates the details of a DLPAR notification emitted by a `OperatingSystemMXBean` when the total physical memory changes. Specifically, this notifiation indicates that the value returned by `OperatingSystemMXBean.getTotalPhysicalMemory()` has changed.

Field Summary
`static java.lang.String` | `TOTAL_PHYSICAL_MEMORY_CHANGE`

Constructor Summary
`TotalPhysicalMemoryNotificationInfo(long newTotalPhysicalMemory)` Constructs a new instance of this object.

Method Summary
`static TotalPhysicalMemoryNotificationInfo` | `from(javax.management.openmbean.CompositeData cd)` Receives a `CompositeData`representing a `TotalPhysicalMemoryNotificationInfo` object and attempts to return the root `TotalPhysicalMemoryNotificationInfo` instance.
`long` | `getNewTotalPhysicalMemory()` Returns the new value of bytes for the total physical memory after the change that this notification corresponds to.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOTAL_PHYSICAL_MEMORY_CHANGE

    public static final java.lang.String TOTAL_PHYSICAL_MEMORY_CHANGE

See Also:
  Constant Field Values

Constructor Detail

### TotalPhysicalMemoryNotificationInfo

    public TotalPhysicalMemoryNotificationInfo(long newTotalPhysicalMemory)

  Constructs a new instance of this object.

  Parameters:
    `newTotalPhysicalMemory` - the new total bytes of physical memory

Method Detail

### getNewTotalPhysicalMemory

    public long getNewTotalPhysicalMemory()

  Returns the new value of bytes for the total physical memory after the change that this notification corresponds to.

  Returns:
    the new physical memory total in bytes

### from

    public static TotalPhysicalMemoryNotificationInfo from(javax.management.openmbean.CompositeData cd)

  Receives a `CompositeData`representing a `TotalPhysicalMemoryNotificationInfo` object and attempts to return the root `TotalPhysicalMemoryNotificationInfo` instance.

  Parameters:
    `cd` - a `CompositeDate` that represents a `TotalPhysicalMemoryNotificationInfo`.
  Returns:
    if `cd` is non- `null`, returns a new instance of `TotalPhysicalMemoryNotificationInfo`. If `cd` is `null`, returns `null`.
  Throws:
    `java.lang.IllegalArgumentException` - if argument `cd` does not correspond to a `TotalPhysicalMemoryNotificationInfo` with the following attribute:
    - `newTotalPhysicalMemory`( `java.lang.Long`)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD